Bric::Util::Class - A module to provide access to the class table $LastChangedRevision$ $LastChangedDate: 2004-09-14 02:48:55 +0200 (Tue, 14 Sep 2004) $ use Bric::Util::Class; Provides access to the class table that maps package names to a display name and description.

Constructors
Keys for $init are: key_name A lowercase unique key name for the class with no spaces or punctuation, such as 'user_grp'. pkg_name The full package name of this class, such as 'Bric::Util::Grp::User'. disp_name The way the package name (usually shortened) should be displayed on the UI, such as 'User Group'. plural_name The plural form of disp_name. description A description of this package. Throws: NONE. Side Effects: NONE. Notes: NONE. Retrieves an existing class record from the database. Throws: NONE Side Effects: NONE Notes: NONE The possible keys to $param are the following: Throws: NONE Side Effects: NONE Notes: NONE Returns an anonymous hash of all the class objects in Bricolage. The hash keys are the lower-cased package names for each class, and the values are the Bric::Util::Class objects themselves. Throws: NONE Side Effects: NONE Notes: NONE Returns an anonymous hash of all the class objects in Bricolage. The hash keys are the object IDs for each class, and the values are the Bric::Util::Class objects themselves. Throws: NONE Side Effects: NONE Notes: NONE Returns an anonymous hash of all the class objects in Bricolage. The hash keys are the lower-cased key names for each class, and the values are the Bric::Util::Class objects themselves. Throws: NONE Side Effects: NONE Notes: NONE

Destructors
Dummy method to prevent wasting time trying to AUTOLOAD DESTROY. Throws: NONE. Side Effects: NONE. Notes: NONE.

Public Class Methods
Returns an anonymous hash of introspection data for this object. If called with a true argument, it will return an ordered list or anonymous array of introspection data. If a second true argument is passed instead of a first, then a list or anonymous array of introspection data will be returned for properties that uniquely identify an object (excluding "id", which is assumed). Each hash key is the name of a property or attribute of the object. The value for a hash key is another anonymous hash containing the following keys: The name of the property or attribute. Is the same as the hash key when an anonymous hash is returned. The display name of the property or attribute. A reference to the method that will retrieve the value of the property or attribute. An anonymous array of arguments to pass to a call to get_meth in order to retrieve the value of the property or attribute. A reference to the method that will set the value of the property or attribute. An anonymous array of arguments to pass to a call to set_meth in order to set the value of the property or attribute. The type of value the property or attribute contains. There are only three types: If the value is a 'short' value, this hash key contains the length of the field. The property is searchable via the list() and list_ids() methods. The property or attribute is required. An anonymous hash of properties used to display the property or attribute. Possible keys include: The display field type. Possible values are The Length, in letters, to display a text or password field. The maximum length of the property or value - usually defined by the SQL DDL. The number of rows to format in a textarea field. The number of columns to format in a textarea field. An anonymous hash of key/value pairs reprsenting the values and display names to use in a select list. Throws: NONE. Side Effects: NONE. Notes: NONE.

Public Instance Methods
Save changes to the database. Throws: NONE Side Effects: NONE Notes: NONE

Private Class Methods
NONE

Private Instance Methods
Need documenting. NONE Garth Webb <garth@perijove.com> perl, Bric